load zdata_ovt.txt -ascii;

%sp2 = zdata_cmp(1:9, :);
%par = zdata_cmp(10:17, :);

sp2 = zdata_ovt(20:30, :);
par = zdata_ovt(1:19, :);

%% axis([min(jt(:,1)), max(jt(:,1)), .9, 3.5 ] ) %% .1+max(jt(:,2))])

ax = subplot(1,2,2);

jt = sp2;
set(semilogx(jt(:,1), jt(:,2), 'r'), 'LineWidth', [2.5])
%%set(semilogx(jt(:,1), jt(:,2), 'b', jt(:,1), ones(size(jt(:,1))), 'r'), 'LineWidth', [2.5])
%% axis([min(jt(:,1)), max(jt(:,1)), .9, 3.5 ] ) %% .1+max(jt(:,2))])
axis([min(jt(:,1)), max(jt(:,1)), .005, .05 ] ) %% .1+max(jt(:,2))])

%% ylabel('Switched parallel MFLOPS')
ylabel('Fraction overhead')
xlabel('Problem size: sqrt(N)')
text(5e2,1.05,'Data parallel')
title('SP-2')
grid on

ax = subplot(1,2,1);

jt = par;
set(semilogx(jt(:,1), jt(:,2), 'r'), 'LineWidth', [2.5])
%%set(semilogx(jt(:,1), jt(:,2), 'b', jt(:,1), ones(size(jt(:,1))), 'r'), 'LineWidth', [2.5])
%% axis([min(jt(:,1)), max(jt(:,1)), .9, 3.5 ] ) %% .1+max(jt(:,2))])
axis([min(jt(:,1)), max(jt(:,1)), .005, .05 ] ) %% .1+max(jt(:,2))])

%% ylabel('Switched parallel MFLOPS')
ylabel('Fraction overhead')
xlabel('Problem size: sqrt(N)')
text(5e2,1.05,'Data parallel')
title('Paragon')
grid on

set(gcf,'PaperPosition', [0 0 8 4]);

